Portal:Language/styles.css

From Wikipedia, the free encyclopedia
Jump to navigation Jump to search
.lang-portal-main {
	padding: 10px;
	background: #fdf5e6;
	color: inherit;
	border: 3px solid #bdb76b;
}

.lang-portal-topimg-wrap {
	display: table;
	margin: 0 auto 10px;
	border: 5px solid #bdb76b;
}

.lang-portal-box .box-header-title-container {
	background: #E3CF57;
	color: inherit;
}

.lang-portal-box .box-header-title {
	color: inherit;
}

.lang-portal-box .box-header-body {
	background: var(--background-color-neutral-subtle, #f8f9fa);
	color: inherit;
}

.lang-portal-box .box-header-viewedit {
	color: inherit;
}

@media screen {
	html.skin-theme-clientpref-night .lang-portal-main {
		background: #2f2004;
		border: 3px solid #8d893f;
	}
	
	html.skin-theme-clientpref-night .lang-portal-topimg-wrap {
		border: 5px solid #8d893f;
	}
	
	html.skin-theme-clientpref-night .lang-portal-box .box-header-title-container {
		background: #6d5f12;
	}
}

@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .lang-portal-main {
		background: #2f2004;
		border: 3px solid #8d893f;
	}
	
	html.skin-theme-clientpref-os .lang-portal-topimg-wrap {
		border: 5px solid #8d893f;
	}
	
	html.skin-theme-clientpref-os .lang-portal-box .box-header-title-container {
		background: #6d5f12;
	}
}